# Generated by Django 2.2.5 on 2019-10-01 19:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Pasajero',
            fields=[
                ('rut_pasajero', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('usuario', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Chofer',
            fields=[
                ('rut_chofer', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('fecha_contrato', models.DateField()),
                ('usuario_pasajero', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
